<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/vehicles/modules/expansionvehicleenginebase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d68/a02885_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionvehicleenginebase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d68/a02885.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionVehicleEngineBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164">   13</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164">ExpansionVehicleEngineType</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164a5fc54ebcb1dd4bf1e1b93cbc77b57b40">   15</a></span>    <a class="code hl_enumvalue" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164a5fc54ebcb1dd4bf1e1b93cbc77b57b40">CAR</a>,</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <a class="code hl_enumvalue" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164adc0f401e772f1affa81071e70631abbf">POINTS</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164adc0f401e772f1affa81071e70631abbf">   17</a></span>};</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d7/d68/a02885.html#a03516ec41b9e24420fea1f3be251fb38">   19</a></span><span class="keyword">static</span> <a class="code hl_class" href="../../de/db8/a07289.html">ExpansionVehicleEngineBase</a> <a class="code hl_function" href="../../d7/d68/a02885.html#a03516ec41b9e24420fea1f3be251fb38">Expansion_CreateEngine</a>(EntityAI vehicle, <span class="keywordtype">string</span> path)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keywordtype">int</span> type = <a class="code hl_enumeration" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164">ExpansionVehicleEngineType</a>.CAR;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="keywordtype">string</span> typePath = path + <span class="stringliteral">&quot; type&quot;</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(typePath))</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">switch</span> (GetGame().ConfigGetType(typePath))</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">case</span> CT_STRING:</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordtype">string</span> typeName;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            GetGame().ConfigGetText(typePath, typeName);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            typeName.ToUpper();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            type = <span class="keyword">typename</span>.StringToEnum(<a class="code hl_enumeration" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164">ExpansionVehicleEngineType</a>, typeName);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            type = GetGame().ConfigGetInt(typePath);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <span class="keywordflow">switch</span> (type)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164">ExpansionVehicleEngineType</a>.CAR:</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../db/d06/a07273.html">ExpansionVehicleCarEngine</a>(vehicle, path);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164">ExpansionVehicleEngineType</a>.POINTS:</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../d5/d95/a07281.html">ExpansionVehicleEngine</a>(vehicle, path);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>}</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html">   51</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/db8/a07289.html">ExpansionVehicleEngineBase</a> : <a class="code hl_class" href="../../d0/d9d/a07329.html">ExpansionVehicleRotational</a></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>{</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">   53</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">m_EngineIndex</a>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">   54</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">m_GearIndex</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a6ec9a6b1e1d9b07a34f5f39268ce7320">   55</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a6ec9a6b1e1d9b07a34f5f39268ce7320">m_ThrottleIndex</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a973076cc1b1cf4cb5766da7ecca13402">   57</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a973076cc1b1cf4cb5766da7ecca13402">m_State</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">   59</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#afb46854696edf5d8f37e760a89e0bbea">   61</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#afb46854696edf5d8f37e760a89e0bbea">m_RPMIdle</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a9d33935c72334d5865c54849cdb2cbef">   62</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a9d33935c72334d5865c54849cdb2cbef">m_RPMMin</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a522e6a92f2a59c4f2de613ea4ced1450">   63</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a522e6a92f2a59c4f2de613ea4ced1450">m_RPMClutch</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a21348bae7171855b1238b8afc48c7bcd">   64</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a21348bae7171855b1238b8afc48c7bcd">m_RPMRedline</a>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#ab1db37d307c9d16fd4e0ea2d5a2adc2e">   65</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#ab1db37d307c9d16fd4e0ea2d5a2adc2e">m_RPMMax</a>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">   67</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">m_Throttle</a>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#adbed5e9e10ddca8bfe77bacaffa21983">   68</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#adbed5e9e10ddca8bfe77bacaffa21983">m_ThrottleRange</a>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a80d5b6d76f7b2a3fcf0461a9c1b756de">   69</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a80d5b6d76f7b2a3fcf0461a9c1b756de">m_ThrottleIdle</a>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a8d100976bc00a22aca1e4cd29fd288b1">   71</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a8d100976bc00a22aca1e4cd29fd288b1">m_MinTorque</a>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#ad9dbae7e76c9ebed223551a1a680f99b">   72</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#ad9dbae7e76c9ebed223551a1a680f99b">m_MaxTorque</a>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">   74</a></span>    <a class="code hl_class" href="../../df/ded/a07293.html">ExpansionVehicleGearbox</a> <a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">   76</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">m_DamageZone</a>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#ad2ce87349cc56119254115ccd839e41c">   77</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#ad2ce87349cc56119254115ccd839e41c">m_Health</a>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a6f1b98bfb91959e183bd967e22a60247">   79</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/db8/a07289.html#a6f1b98bfb91959e183bd967e22a60247">m_FuelConsumption</a>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a24023284914785c466e5b0b32bdef2ac">   81</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/a07289.html#a24023284914785c466e5b0b32bdef2ac">ExpansionVehicleEngineBase</a>(EntityAI vehicle, <span class="keywordtype">string</span> rootPath)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordtype">string</span> path;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        path = rootPath + <span class="stringliteral">&quot; gear&quot;</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">m_GearIndex</a> = GetGame().ConfigGetInt(path);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        path = rootPath + <span class="stringliteral">&quot; throttle&quot;</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a6ec9a6b1e1d9b07a34f5f39268ce7320">m_ThrottleIndex</a> = GetGame().ConfigGetInt(path);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        path = rootPath + <span class="stringliteral">&quot; inertia&quot;</span>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_variable" href="../../d0/d9d/a07329.html#aa56079904db9de94691b7caf48395511">m_Inertia</a> = 0.9;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <a class="code hl_variable" href="../../d0/d9d/a07329.html#aa56079904db9de94691b7caf48395511">m_Inertia</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        path = rootPath + <span class="stringliteral">&quot; rpmIdle&quot;</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#afb46854696edf5d8f37e760a89e0bbea">m_RPMIdle</a> = 0;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#afb46854696edf5d8f37e760a89e0bbea">m_RPMIdle</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        path = rootPath + <span class="stringliteral">&quot; rpmMin&quot;</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a9d33935c72334d5865c54849cdb2cbef">m_RPMMin</a> = 0;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a9d33935c72334d5865c54849cdb2cbef">m_RPMMin</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        path = rootPath + <span class="stringliteral">&quot; rpmClutch&quot;</span>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a522e6a92f2a59c4f2de613ea4ced1450">m_RPMClutch</a> = 0;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a522e6a92f2a59c4f2de613ea4ced1450">m_RPMClutch</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        path = rootPath + <span class="stringliteral">&quot; rpmRedline&quot;</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a21348bae7171855b1238b8afc48c7bcd">m_RPMRedline</a> = 0;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a21348bae7171855b1238b8afc48c7bcd">m_RPMRedline</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        path = rootPath + <span class="stringliteral">&quot; rpmMax&quot;</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#ab1db37d307c9d16fd4e0ea2d5a2adc2e">m_RPMMax</a> = 0;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#ab1db37d307c9d16fd4e0ea2d5a2adc2e">m_RPMMax</a> = GetGame().ConfigGetFloat(path);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        path = rootPath + <span class="stringliteral">&quot; damageZone&quot;</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">m_DamageZone</a> = <span class="stringliteral">&quot;Engine&quot;</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span> (GetGame().ConfigIsExisting(path))</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">m_DamageZone</a> = GetGame().ConfigGetTextOut(path);</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <a class="code hl_variable" href="../../d3/dcf/a07313.html#a1b0c982550452b059e306a1756167cf2">m_Position</a> = <a class="code hl_class" href="../../dd/de1/a04453.html">ExpansionVehiclesStatic</a>.<a class="code hl_function" href="../../dd/de1/a04453.html#a709e3c8f13fa14db8ae1f63dded89bb1">GetCenterSelection</a>(<a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>, <span class="stringliteral">&quot;geometryView&quot;</span>, <span class="stringliteral">&quot;dmgzone_&quot;</span> + <a class="code hl_variable" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">m_DamageZone</a>);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a6f1b98bfb91959e183bd967e22a60247">m_FuelConsumption</a> = GetGame().ConfigGetFloat(<span class="stringliteral">&quot;CfgVehicles &quot;</span> + <a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>.GetType() + <span class="stringliteral">&quot; fuelConsumption&quot;</span>);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a3741ac9c8c009a0ccdc93a5b4bdb9510">  133</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/a07289.html#a3741ac9c8c009a0ccdc93a5b4bdb9510">Init</a>()</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        super.Init();</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>.IsInherited(<a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a>))</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            <a class="code hl_function" href="../../de/db8/a07289.html#a09f12b1c31d2e5a1befaa7dc00146e5d">Init_CarScript</a>();</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <a class="code hl_function" href="../../de/db8/a07289.html#a238974f1babbd3920f601f9a63d11061">Init_ExpansionVehicle</a>();</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <a class="code hl_function" href="../../d0/d9d/a07329.html#a09a5924c11ecdcf512bc224c2feef808">AddComponent</a>(<a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a>);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a>.<a class="code hl_variable" href="../../df/ded/a07293.html#a35882ee767ec80bff2c0b046ef838bab">m_Engine</a> = <span class="keyword">this</span>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">m_GearIndex</a> = <a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a>.<a class="code hl_variable" href="../../df/ded/a07293.html#a9bd4f53ac6ad4b734f34dd8d1b58b53e">m_GearIndex</a>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a80d5b6d76f7b2a3fcf0461a9c1b756de">m_ThrottleIdle</a> = <a class="code hl_variable" href="../../de/db8/a07289.html#afb46854696edf5d8f37e760a89e0bbea">m_RPMIdle</a> / <a class="code hl_variable" href="../../de/db8/a07289.html#ab1db37d307c9d16fd4e0ea2d5a2adc2e">m_RPMMax</a>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#adbed5e9e10ddca8bfe77bacaffa21983">m_ThrottleRange</a> = 1.0 - <a class="code hl_variable" href="../../de/db8/a07289.html#a80d5b6d76f7b2a3fcf0461a9c1b756de">m_ThrottleIdle</a>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    }</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a09f12b1c31d2e5a1befaa7dc00146e5d">  151</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/a07289.html#a09f12b1c31d2e5a1befaa7dc00146e5d">Init_CarScript</a>()</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="keyword">auto</span> vehicle = <a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a>.Cast(<a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">m_GearIndex</a> &gt;= 0)</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a> = vehicle.m_Gearboxes[<a class="code hl_variable" href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">m_GearIndex</a>];</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a>)</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        {</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <a class="code hl_class" href="../../df/ded/a07293.html">ExpansionVehicleGearbox</a> gBox = <span class="keyword">new</span> <a class="code hl_class" href="../../df/ded/a07293.html">ExpansionVehicleGearbox</a>(<a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>, <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            vehicle.AddModule(gBox);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a> = gBox;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a238974f1babbd3920f601f9a63d11061">  166</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/a07289.html#a238974f1babbd3920f601f9a63d11061">Init_ExpansionVehicle</a>()</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keyword">auto</span> vehicle = <a class="code hl_class" href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a>.Cast(<a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">m_GearIndex</a> &gt;= 0)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a> = vehicle.m_Gearboxes[<a class="code hl_variable" href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">m_GearIndex</a>];</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a>)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            <a class="code hl_class" href="../../df/ded/a07293.html">ExpansionVehicleGearbox</a> gBox = <span class="keyword">new</span> <a class="code hl_class" href="../../df/ded/a07293.html">ExpansionVehicleGearbox</a>(<a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>, <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            vehicle.AddModule(gBox);</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">m_Gearbox</a> = gBox;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span> </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a843851b674b6e6bee5f9fa3b7046ba2f">  181</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/a07289.html#a843851b674b6e6bee5f9fa3b7046ba2f">PreSimulate</a>(<a class="code hl_class" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a> pState)</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <a class="code hl_variable" href="../../d0/d9d/a07329.html#a0cbc813bbbc9d4fc44a374f7ed30190c">m_Torque</a> = 0;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a8d100976bc00a22aca1e4cd29fd288b1">m_MinTorque</a> = <a class="code hl_function" href="../../de/db8/a07289.html#a880a0b837f20ee5d1b2ea740b93d157e">CalculateMinTorque</a>();</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">m_Throttle</a> = ((<a class="code hl_variable" href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a>.<a class="code hl_variable" href="../../da/dae/a07213.html#aa8f838a757421f304ec72e711db64ff7">m_Throttle</a>[<a class="code hl_variable" href="../../de/db8/a07289.html#a6ec9a6b1e1d9b07a34f5f39268ce7320">m_ThrottleIndex</a>] * <a class="code hl_variable" href="../../de/db8/a07289.html#adbed5e9e10ddca8bfe77bacaffa21983">m_ThrottleRange</a>) + <a class="code hl_variable" href="../../de/db8/a07289.html#a80d5b6d76f7b2a3fcf0461a9c1b756de">m_ThrottleIdle</a>) * <a class="code hl_variable" href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a>.<a class="code hl_variable" href="../../da/dae/a07213.html#a1ca487fbc5f46e9a9c91dc4aa17af2ad">m_State</a>[<a class="code hl_variable" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">m_EngineIndex</a>];</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">m_Throttle</a> = Math.Clamp(<a class="code hl_variable" href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">m_Throttle</a>, 0, 1);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="comment">// apply a starting torque</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a>.<a class="code hl_variable" href="../../da/dae/a07213.html#a1ca487fbc5f46e9a9c91dc4aa17af2ad">m_State</a>[<a class="code hl_variable" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">m_EngineIndex</a>] &amp;&amp; <a class="code hl_variable" href="../../de/db8/a07289.html#a973076cc1b1cf4cb5766da7ecca13402">m_State</a> != <a class="code hl_variable" href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a>.<a class="code hl_variable" href="../../da/dae/a07213.html#a1ca487fbc5f46e9a9c91dc4aa17af2ad">m_State</a>[<a class="code hl_variable" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">m_EngineIndex</a>])</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        {</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <a class="code hl_variable" href="../../d0/d9d/a07329.html#a0cbc813bbbc9d4fc44a374f7ed30190c">m_Torque</a> = 50.0;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a> &gt;= <a class="code hl_variable" href="../../de/db8/a07289.html#afb46854696edf5d8f37e760a89e0bbea">m_RPMIdle</a>)</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            {</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>                <a class="code hl_variable" href="../../de/db8/a07289.html#a973076cc1b1cf4cb5766da7ecca13402">m_State</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            }</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        }</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a>.<a class="code hl_variable" href="../../da/dae/a07213.html#a1ca487fbc5f46e9a9c91dc4aa17af2ad">m_State</a>[<a class="code hl_variable" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">m_EngineIndex</a>])</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        {</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#a973076cc1b1cf4cb5766da7ecca13402">m_State</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/db8/a07289.html#a973076cc1b1cf4cb5766da7ecca13402">m_State</a>)</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        {</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            <a class="code hl_variable" href="../../de/db8/a07289.html#ad9dbae7e76c9ebed223551a1a680f99b">m_MaxTorque</a> = <a class="code hl_function" href="../../de/db8/a07289.html#ac61f2b69d5765a3955cd42e0618006ca">CalculateTorque</a>(pState);</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>            <a class="code hl_variable" href="../../d0/d9d/a07329.html#a0cbc813bbbc9d4fc44a374f7ed30190c">m_Torque</a> = (<a class="code hl_variable" href="../../de/db8/a07289.html#ad9dbae7e76c9ebed223551a1a680f99b">m_MaxTorque</a> - <a class="code hl_variable" href="../../de/db8/a07289.html#a8d100976bc00a22aca1e4cd29fd288b1">m_MinTorque</a>) * <a class="code hl_variable" href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">m_Throttle</a>;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <a class="code hl_variable" href="../../d0/d9d/a07329.html#a0cbc813bbbc9d4fc44a374f7ed30190c">m_Torque</a> += <a class="code hl_variable" href="../../de/db8/a07289.html#a8d100976bc00a22aca1e4cd29fd288b1">m_MinTorque</a>;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d9d/a07329.html#a52142c1d5ef7983a97c71aee1bf03b8d">m_Velocity</a> + <a class="code hl_variable" href="../../d0/d9d/a07329.html#a0cbc813bbbc9d4fc44a374f7ed30190c">m_Torque</a> &lt; 0)</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <a class="code hl_variable" href="../../d0/d9d/a07329.html#a52142c1d5ef7983a97c71aee1bf03b8d">m_Velocity</a> = 0.0;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>            <a class="code hl_variable" href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a>.<a class="code hl_variable" href="../../da/dae/a07213.html#a1ca487fbc5f46e9a9c91dc4aa17af2ad">m_State</a>[<a class="code hl_variable" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">m_EngineIndex</a>] = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        }</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <a class="code hl_variable" href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a>.<a class="code hl_variable" href="../../da/dae/a07213.html#a493cf9b7b9b77dc81421736eb9c90536">m_Torque</a>[<a class="code hl_variable" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">m_EngineIndex</a>] = <a class="code hl_variable" href="../../d0/d9d/a07329.html#a0cbc813bbbc9d4fc44a374f7ed30190c">m_Torque</a>;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a917eeeec1096410c83d3799b15cc4d4f">  219</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/a07289.html#a917eeeec1096410c83d3799b15cc4d4f">ProcessTorque</a>(<a class="code hl_class" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a> pState)</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    }</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#add1a77b40f005d5085b5430316f70c89">  223</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/a07289.html#add1a77b40f005d5085b5430316f70c89">ProcessAcceleration</a>(<a class="code hl_class" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a> pState)</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    {</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        super.ProcessAcceleration(pState);</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span> </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a> = <a class="code hl_function" href="../../d0/d9d/a07329.html#a966841074976df2219a2267077312ab0">ToRPM</a>(<a class="code hl_variable" href="../../d0/d9d/a07329.html#a52142c1d5ef7983a97c71aee1bf03b8d">m_Velocity</a>);</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    }</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span><span class="preprocessor">#ifdef CF_DebugUI</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> CF_OnDebugUpdate(CF_Debug instance, CF_DebugUI_Type type)</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    {</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        super.CF_OnDebugUpdate(instance, type);</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        instance.Add(<span class="stringliteral">&quot;RPM&quot;</span>, <a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a>);</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        instance.Add(<span class="stringliteral">&quot;Throttle&quot;</span>, <a class="code hl_variable" href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">m_Throttle</a>);</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        instance.Add(<span class="stringliteral">&quot;Throttle Range&quot;</span>, <a class="code hl_variable" href="../../de/db8/a07289.html#adbed5e9e10ddca8bfe77bacaffa21983">m_ThrottleRange</a>);</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        instance.Add(<span class="stringliteral">&quot;Throttle Idle&quot;</span>, <a class="code hl_variable" href="../../de/db8/a07289.html#a80d5b6d76f7b2a3fcf0461a9c1b756de">m_ThrottleIdle</a>);</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        instance.Add(<span class="stringliteral">&quot;Min Torque&quot;</span>, <a class="code hl_variable" href="../../de/db8/a07289.html#a8d100976bc00a22aca1e4cd29fd288b1">m_MinTorque</a>);</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        instance.Add(<span class="stringliteral">&quot;Max Torque&quot;</span>, <a class="code hl_variable" href="../../de/db8/a07289.html#ad9dbae7e76c9ebed223551a1a680f99b">m_MaxTorque</a>);</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        instance.Add(<span class="stringliteral">&quot;Engine Torque&quot;</span>, (<a class="code hl_variable" href="../../de/db8/a07289.html#ad9dbae7e76c9ebed223551a1a680f99b">m_MaxTorque</a> * <a class="code hl_variable" href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">m_Throttle</a>));</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a8f124acd1e815063a5bf66053b613b4e">  247</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../de/db8/a07289.html#a8f124acd1e815063a5bf66053b613b4e">SmoothStep</a>(<span class="keywordtype">float</span> t)</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    {</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <span class="keywordflow">return</span> t * t * (3.0 - (2.0 * t));</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>    }</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#ac61f2b69d5765a3955cd42e0618006ca">  252</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../de/db8/a07289.html#ac61f2b69d5765a3955cd42e0618006ca">CalculateTorque</a>(<a class="code hl_class" href="../../de/d7c/a07221.html">ExpansionPhysicsState</a> pState)</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    {</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a880a0b837f20ee5d1b2ea740b93d157e">  257</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../de/db8/a07289.html#a880a0b837f20ee5d1b2ea740b93d157e">CalculateMinTorque</a>()</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    {</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>        <span class="keywordflow">return</span> -1.125 * <a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a> / 60.0;</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    }</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span> </div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno"><a class="line" href="../../de/db8/a07289.html#a2acfea9b81587e75dec1312134268ff1">  262</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db8/a07289.html#a2acfea9b81587e75dec1312134268ff1">ProcessHealth</a>(<span class="keywordtype">float</span> pDt, <span class="keywordtype">float</span> pFuel, <span class="keywordtype">float</span> pCoolant, <span class="keywordtype">float</span> pOil, <span class="keywordtype">float</span> pBrake, out <span class="keywordtype">float</span> pOutHealth, out <span class="keywordtype">float</span> pOutFuel)</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    {</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>        <span class="keywordtype">float</span> dmg;</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>        <a class="code hl_variable" href="../../de/db8/a07289.html#ad2ce87349cc56119254115ccd839e41c">m_Health</a> = <a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>.GetHealth01(<a class="code hl_variable" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">m_DamageZone</a>, <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        pOutHealth += <a class="code hl_variable" href="../../de/db8/a07289.html#ad2ce87349cc56119254115ccd839e41c">m_Health</a>;</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span> </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>        <span class="keywordflow">if</span> (pFuel &lt;= 0.0 || <a class="code hl_variable" href="../../de/db8/a07289.html#ad2ce87349cc56119254115ccd839e41c">m_Health</a> &lt;= 0.0)</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>        {</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>            <a class="code hl_variable" href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a>.<a class="code hl_variable" href="../../da/dae/a07213.html#a1ca487fbc5f46e9a9c91dc4aa17af2ad">m_State</a>[<a class="code hl_variable" href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">m_EngineIndex</a>] = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>        }</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span> </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a> &gt;= <a class="code hl_variable" href="../../de/db8/a07289.html#a21348bae7171855b1238b8afc48c7bcd">m_RPMRedline</a>)</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>        {</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a> &gt; <a class="code hl_variable" href="../../de/db8/a07289.html#ab1db37d307c9d16fd4e0ea2d5a2adc2e">m_RPMMax</a> &amp;&amp; <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetVehicle().RevvingOverMaxRPMRuinsEngineInstantly)</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>                <a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>.AddHealth(<a class="code hl_variable" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">m_DamageZone</a>, <span class="stringliteral">&quot;Health&quot;</span>, -<a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>.GetMaxHealth(<a class="code hl_variable" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">m_DamageZone</a>, <span class="stringliteral">&quot;&quot;</span>) * pDt);</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span> </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>            dmg += <a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a> * 0.001 * Math.RandomFloat(0.02, 1.0) * pDt;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>        }</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span> </div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        <span class="keywordflow">if</span> (pCoolant &gt;= 0 &amp;&amp; pCoolant &lt; 0.5)</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>        {</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>            dmg += (1.0 - pCoolant) * Math.RandomFloat(0.02, 10.00) * pDt;</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>        }</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span> </div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>        <span class="keywordflow">if</span> (pOil &lt; 1.0)</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>        {</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>            dmg += Math.Lerp(0.02, 10, 1.0 - pOil);</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>        }</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span> </div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>        <span class="keywordflow">if</span> (dmg != 0.0)</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>        {</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>            <a class="code hl_variable" href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a>.AddHealth(<a class="code hl_variable" href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">m_DamageZone</a>, <span class="stringliteral">&quot;Health&quot;</span>, -dmg);</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>        }</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span> </div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">m_RPM</a> &gt;= <a class="code hl_variable" href="../../de/db8/a07289.html#afb46854696edf5d8f37e760a89e0bbea">m_RPMIdle</a>)</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>        {</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>            pOutFuel += <a class="code hl_variable" href="../../de/db8/a07289.html#a6f1b98bfb91959e183bd967e22a60247">m_FuelConsumption</a> * pDt / 3600.0;</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>        }</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>    }</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>};</div>
<div class="ttc" id="aa02885_html_a03516ec41b9e24420fea1f3be251fb38"><div class="ttname"><a href="../../d7/d68/a02885.html#a03516ec41b9e24420fea1f3be251fb38">Expansion_CreateEngine</a></div><div class="ttdeci">static ExpansionVehicleEngineBase Expansion_CreateEngine(EntityAI vehicle, string path)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00019">expansionvehicleenginebase.c:19</a></div></div>
<div class="ttc" id="aa02885_html_a59c95d426f41e0f49a0fcf8d527c1164"><div class="ttname"><a href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164">ExpansionVehicleEngineType</a></div><div class="ttdeci">ExpansionVehicleEngineType</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00013">expansionvehicleenginebase.c:14</a></div></div>
<div class="ttc" id="aa02885_html_a59c95d426f41e0f49a0fcf8d527c1164a5fc54ebcb1dd4bf1e1b93cbc77b57b40"><div class="ttname"><a href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164a5fc54ebcb1dd4bf1e1b93cbc77b57b40">CAR</a></div><div class="ttdeci">@ CAR</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00015">expansionvehicleenginebase.c:15</a></div></div>
<div class="ttc" id="aa02885_html_a59c95d426f41e0f49a0fcf8d527c1164adc0f401e772f1affa81071e70631abbf"><div class="ttname"><a href="../../d7/d68/a02885.html#a59c95d426f41e0f49a0fcf8d527c1164adc0f401e772f1affa81071e70631abbf">POINTS</a></div><div class="ttdeci">@ POINTS</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00017">expansionvehicleenginebase.c:16</a></div></div>
<div class="ttc" id="aa04453_html"><div class="ttname"><a href="../../dd/de1/a04453.html">ExpansionVehiclesStatic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00013">expansionvehiclesstatic.c:14</a></div></div>
<div class="ttc" id="aa04453_html_a709e3c8f13fa14db8ae1f63dded89bb1"><div class="ttname"><a href="../../dd/de1/a04453.html#a709e3c8f13fa14db8ae1f63dded89bb1">ExpansionVehiclesStatic::GetCenterSelection</a></div><div class="ttdeci">static vector GetCenterSelection(Object target, string pLODName, string pSelectionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/a00965_source.html#l00015">expansionvehiclesstatic.c:15</a></div></div>
<div class="ttc" id="aa04925_html"><div class="ttname"><a href="../../d0/d2a/a04925.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da8/a08961_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa07213_html_a1ca487fbc5f46e9a9c91dc4aa17af2ad"><div class="ttname"><a href="../../da/dae/a07213.html#a1ca487fbc5f46e9a9c91dc4aa17af2ad">ExpansionController::m_State</a></div><div class="ttdeci">bool m_State[4]</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d82/a02831_source.html#l00020">expansioncontroller.c:20</a></div></div>
<div class="ttc" id="aa07213_html_a493cf9b7b9b77dc81421736eb9c90536"><div class="ttname"><a href="../../da/dae/a07213.html#a493cf9b7b9b77dc81421736eb9c90536">ExpansionController::m_Torque</a></div><div class="ttdeci">float m_Torque[4]</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d82/a02831_source.html#l00022">expansioncontroller.c:22</a></div></div>
<div class="ttc" id="aa07213_html_aa8f838a757421f304ec72e711db64ff7"><div class="ttname"><a href="../../da/dae/a07213.html#aa8f838a757421f304ec72e711db64ff7">ExpansionController::m_Throttle</a></div><div class="ttdeci">float m_Throttle[4]</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d82/a02831_source.html#l00018">expansioncontroller.c:18</a></div></div>
<div class="ttc" id="aa07221_html"><div class="ttname"><a href="../../de/d7c/a07221.html">ExpansionPhysicsState</a></div><div class="ttdoc">TODO: Reduce the number of varibales.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dfd/a02837_source.html#l00002">expansionphysicsstate.c:3</a></div></div>
<div class="ttc" id="aa07273_html"><div class="ttname"><a href="../../db/d06/a07273.html">ExpansionVehicleCarEngine</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d65/a02876_source.html#l00013">expansionvehiclecarengine.c:14</a></div></div>
<div class="ttc" id="aa07281_html"><div class="ttname"><a href="../../d5/d95/a07281.html">ExpansionVehicleEngine</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d57/a02882_source.html#l00013">expansionvehicleengine.c:14</a></div></div>
<div class="ttc" id="aa07289_html"><div class="ttname"><a href="../../de/db8/a07289.html">ExpansionVehicleEngineBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00051">expansionvehicleenginebase.c:52</a></div></div>
<div class="ttc" id="aa07289_html_a09f12b1c31d2e5a1befaa7dc00146e5d"><div class="ttname"><a href="../../de/db8/a07289.html#a09f12b1c31d2e5a1befaa7dc00146e5d">ExpansionVehicleEngineBase::Init_CarScript</a></div><div class="ttdeci">void Init_CarScript()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00151">expansionvehicleenginebase.c:151</a></div></div>
<div class="ttc" id="aa07289_html_a21348bae7171855b1238b8afc48c7bcd"><div class="ttname"><a href="../../de/db8/a07289.html#a21348bae7171855b1238b8afc48c7bcd">ExpansionVehicleEngineBase::m_RPMRedline</a></div><div class="ttdeci">float m_RPMRedline</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00064">expansionvehicleenginebase.c:64</a></div></div>
<div class="ttc" id="aa07289_html_a238974f1babbd3920f601f9a63d11061"><div class="ttname"><a href="../../de/db8/a07289.html#a238974f1babbd3920f601f9a63d11061">ExpansionVehicleEngineBase::Init_ExpansionVehicle</a></div><div class="ttdeci">void Init_ExpansionVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00166">expansionvehicleenginebase.c:166</a></div></div>
<div class="ttc" id="aa07289_html_a24023284914785c466e5b0b32bdef2ac"><div class="ttname"><a href="../../de/db8/a07289.html#a24023284914785c466e5b0b32bdef2ac">ExpansionVehicleEngineBase::ExpansionVehicleEngineBase</a></div><div class="ttdeci">void ExpansionVehicleEngineBase(EntityAI vehicle, string rootPath)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00081">expansionvehicleenginebase.c:81</a></div></div>
<div class="ttc" id="aa07289_html_a2acfea9b81587e75dec1312134268ff1"><div class="ttname"><a href="../../de/db8/a07289.html#a2acfea9b81587e75dec1312134268ff1">ExpansionVehicleEngineBase::ProcessHealth</a></div><div class="ttdeci">void ProcessHealth(float pDt, float pFuel, float pCoolant, float pOil, float pBrake, out float pOutHealth, out float pOutFuel)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00262">expansionvehicleenginebase.c:262</a></div></div>
<div class="ttc" id="aa07289_html_a2c6c99013bf44d9beaa87ecce8abcf3b"><div class="ttname"><a href="../../de/db8/a07289.html#a2c6c99013bf44d9beaa87ecce8abcf3b">ExpansionVehicleEngineBase::m_Gearbox</a></div><div class="ttdeci">ExpansionVehicleGearbox m_Gearbox</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00074">expansionvehicleenginebase.c:74</a></div></div>
<div class="ttc" id="aa07289_html_a3741ac9c8c009a0ccdc93a5b4bdb9510"><div class="ttname"><a href="../../de/db8/a07289.html#a3741ac9c8c009a0ccdc93a5b4bdb9510">ExpansionVehicleEngineBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00133">expansionvehicleenginebase.c:133</a></div></div>
<div class="ttc" id="aa07289_html_a4f4665d7689709c997e0ab560c6c0285"><div class="ttname"><a href="../../de/db8/a07289.html#a4f4665d7689709c997e0ab560c6c0285">ExpansionVehicleEngineBase::m_EngineIndex</a></div><div class="ttdeci">int m_EngineIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00053">expansionvehicleenginebase.c:53</a></div></div>
<div class="ttc" id="aa07289_html_a522e6a92f2a59c4f2de613ea4ced1450"><div class="ttname"><a href="../../de/db8/a07289.html#a522e6a92f2a59c4f2de613ea4ced1450">ExpansionVehicleEngineBase::m_RPMClutch</a></div><div class="ttdeci">float m_RPMClutch</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00063">expansionvehicleenginebase.c:63</a></div></div>
<div class="ttc" id="aa07289_html_a6b2c5d428aef751464b7f54c422584c1"><div class="ttname"><a href="../../de/db8/a07289.html#a6b2c5d428aef751464b7f54c422584c1">ExpansionVehicleEngineBase::m_RPM</a></div><div class="ttdeci">float m_RPM</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00059">expansionvehicleenginebase.c:59</a></div></div>
<div class="ttc" id="aa07289_html_a6ec9a6b1e1d9b07a34f5f39268ce7320"><div class="ttname"><a href="../../de/db8/a07289.html#a6ec9a6b1e1d9b07a34f5f39268ce7320">ExpansionVehicleEngineBase::m_ThrottleIndex</a></div><div class="ttdeci">int m_ThrottleIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00055">expansionvehicleenginebase.c:55</a></div></div>
<div class="ttc" id="aa07289_html_a6f1b98bfb91959e183bd967e22a60247"><div class="ttname"><a href="../../de/db8/a07289.html#a6f1b98bfb91959e183bd967e22a60247">ExpansionVehicleEngineBase::m_FuelConsumption</a></div><div class="ttdeci">float m_FuelConsumption</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00079">expansionvehicleenginebase.c:79</a></div></div>
<div class="ttc" id="aa07289_html_a80d5b6d76f7b2a3fcf0461a9c1b756de"><div class="ttname"><a href="../../de/db8/a07289.html#a80d5b6d76f7b2a3fcf0461a9c1b756de">ExpansionVehicleEngineBase::m_ThrottleIdle</a></div><div class="ttdeci">float m_ThrottleIdle</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00069">expansionvehicleenginebase.c:69</a></div></div>
<div class="ttc" id="aa07289_html_a8369b30e5facd9eedd2e963855d733db"><div class="ttname"><a href="../../de/db8/a07289.html#a8369b30e5facd9eedd2e963855d733db">ExpansionVehicleEngineBase::m_GearIndex</a></div><div class="ttdeci">int m_GearIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00054">expansionvehicleenginebase.c:54</a></div></div>
<div class="ttc" id="aa07289_html_a843851b674b6e6bee5f9fa3b7046ba2f"><div class="ttname"><a href="../../de/db8/a07289.html#a843851b674b6e6bee5f9fa3b7046ba2f">ExpansionVehicleEngineBase::PreSimulate</a></div><div class="ttdeci">override void PreSimulate(ExpansionPhysicsState pState)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00181">expansionvehicleenginebase.c:181</a></div></div>
<div class="ttc" id="aa07289_html_a880a0b837f20ee5d1b2ea740b93d157e"><div class="ttname"><a href="../../de/db8/a07289.html#a880a0b837f20ee5d1b2ea740b93d157e">ExpansionVehicleEngineBase::CalculateMinTorque</a></div><div class="ttdeci">float CalculateMinTorque()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00257">expansionvehicleenginebase.c:257</a></div></div>
<div class="ttc" id="aa07289_html_a8d100976bc00a22aca1e4cd29fd288b1"><div class="ttname"><a href="../../de/db8/a07289.html#a8d100976bc00a22aca1e4cd29fd288b1">ExpansionVehicleEngineBase::m_MinTorque</a></div><div class="ttdeci">float m_MinTorque</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00071">expansionvehicleenginebase.c:71</a></div></div>
<div class="ttc" id="aa07289_html_a8f124acd1e815063a5bf66053b613b4e"><div class="ttname"><a href="../../de/db8/a07289.html#a8f124acd1e815063a5bf66053b613b4e">ExpansionVehicleEngineBase::SmoothStep</a></div><div class="ttdeci">static float SmoothStep(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00247">expansionvehicleenginebase.c:247</a></div></div>
<div class="ttc" id="aa07289_html_a917eeeec1096410c83d3799b15cc4d4f"><div class="ttname"><a href="../../de/db8/a07289.html#a917eeeec1096410c83d3799b15cc4d4f">ExpansionVehicleEngineBase::ProcessTorque</a></div><div class="ttdeci">override void ProcessTorque(ExpansionPhysicsState pState)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00219">expansionvehicleenginebase.c:219</a></div></div>
<div class="ttc" id="aa07289_html_a973076cc1b1cf4cb5766da7ecca13402"><div class="ttname"><a href="../../de/db8/a07289.html#a973076cc1b1cf4cb5766da7ecca13402">ExpansionVehicleEngineBase::m_State</a></div><div class="ttdeci">bool m_State</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00057">expansionvehicleenginebase.c:57</a></div></div>
<div class="ttc" id="aa07289_html_a9d33935c72334d5865c54849cdb2cbef"><div class="ttname"><a href="../../de/db8/a07289.html#a9d33935c72334d5865c54849cdb2cbef">ExpansionVehicleEngineBase::m_RPMMin</a></div><div class="ttdeci">float m_RPMMin</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00062">expansionvehicleenginebase.c:62</a></div></div>
<div class="ttc" id="aa07289_html_ab1db37d307c9d16fd4e0ea2d5a2adc2e"><div class="ttname"><a href="../../de/db8/a07289.html#ab1db37d307c9d16fd4e0ea2d5a2adc2e">ExpansionVehicleEngineBase::m_RPMMax</a></div><div class="ttdeci">float m_RPMMax</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00065">expansionvehicleenginebase.c:65</a></div></div>
<div class="ttc" id="aa07289_html_ab349142b716bc8d72a6a9c998be2e078"><div class="ttname"><a href="../../de/db8/a07289.html#ab349142b716bc8d72a6a9c998be2e078">ExpansionVehicleEngineBase::m_DamageZone</a></div><div class="ttdeci">string m_DamageZone</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00076">expansionvehicleenginebase.c:76</a></div></div>
<div class="ttc" id="aa07289_html_ac61f2b69d5765a3955cd42e0618006ca"><div class="ttname"><a href="../../de/db8/a07289.html#ac61f2b69d5765a3955cd42e0618006ca">ExpansionVehicleEngineBase::CalculateTorque</a></div><div class="ttdeci">float CalculateTorque(ExpansionPhysicsState pState)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00252">expansionvehicleenginebase.c:252</a></div></div>
<div class="ttc" id="aa07289_html_ad2ce87349cc56119254115ccd839e41c"><div class="ttname"><a href="../../de/db8/a07289.html#ad2ce87349cc56119254115ccd839e41c">ExpansionVehicleEngineBase::m_Health</a></div><div class="ttdeci">float m_Health</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00077">expansionvehicleenginebase.c:77</a></div></div>
<div class="ttc" id="aa07289_html_ad9dbae7e76c9ebed223551a1a680f99b"><div class="ttname"><a href="../../de/db8/a07289.html#ad9dbae7e76c9ebed223551a1a680f99b">ExpansionVehicleEngineBase::m_MaxTorque</a></div><div class="ttdeci">float m_MaxTorque</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00072">expansionvehicleenginebase.c:72</a></div></div>
<div class="ttc" id="aa07289_html_adbed5e9e10ddca8bfe77bacaffa21983"><div class="ttname"><a href="../../de/db8/a07289.html#adbed5e9e10ddca8bfe77bacaffa21983">ExpansionVehicleEngineBase::m_ThrottleRange</a></div><div class="ttdeci">float m_ThrottleRange</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00068">expansionvehicleenginebase.c:68</a></div></div>
<div class="ttc" id="aa07289_html_add1a77b40f005d5085b5430316f70c89"><div class="ttname"><a href="../../de/db8/a07289.html#add1a77b40f005d5085b5430316f70c89">ExpansionVehicleEngineBase::ProcessAcceleration</a></div><div class="ttdeci">override void ProcessAcceleration(ExpansionPhysicsState pState)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00223">expansionvehicleenginebase.c:223</a></div></div>
<div class="ttc" id="aa07289_html_afb46854696edf5d8f37e760a89e0bbea"><div class="ttname"><a href="../../de/db8/a07289.html#afb46854696edf5d8f37e760a89e0bbea">ExpansionVehicleEngineBase::m_RPMIdle</a></div><div class="ttdeci">float m_RPMIdle</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00061">expansionvehicleenginebase.c:61</a></div></div>
<div class="ttc" id="aa07289_html_aff17b2960b66250c62c243fbe7c3bd00"><div class="ttname"><a href="../../de/db8/a07289.html#aff17b2960b66250c62c243fbe7c3bd00">ExpansionVehicleEngineBase::m_Throttle</a></div><div class="ttdeci">float m_Throttle</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/a02885_source.html#l00067">expansionvehicleenginebase.c:67</a></div></div>
<div class="ttc" id="aa07293_html"><div class="ttname"><a href="../../df/ded/a07293.html">ExpansionVehicleGearbox</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d5e/a02891_source.html#l00051">expansionvehiclegearbox.c:52</a></div></div>
<div class="ttc" id="aa07293_html_a35882ee767ec80bff2c0b046ef838bab"><div class="ttname"><a href="../../df/ded/a07293.html#a35882ee767ec80bff2c0b046ef838bab">ExpansionVehicleGearbox::m_Engine</a></div><div class="ttdeci">ExpansionVehicleEngineBase m_Engine</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d5e/a02891_source.html#l00054">expansionvehiclegearbox.c:54</a></div></div>
<div class="ttc" id="aa07293_html_a9bd4f53ac6ad4b734f34dd8d1b58b53e"><div class="ttname"><a href="../../df/ded/a07293.html#a9bd4f53ac6ad4b734f34dd8d1b58b53e">ExpansionVehicleGearbox::m_GearIndex</a></div><div class="ttdeci">int m_GearIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d5e/a02891_source.html#l00053">expansionvehiclegearbox.c:53</a></div></div>
<div class="ttc" id="aa07313_html_a1b0c982550452b059e306a1756167cf2"><div class="ttname"><a href="../../d3/dcf/a07313.html#a1b0c982550452b059e306a1756167cf2">ExpansionVehicleModule::m_Position</a></div><div class="ttdeci">vector m_Position</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/a02906_source.html#l00018">expansionvehiclemodule.c:18</a></div></div>
<div class="ttc" id="aa07313_html_a6ca8bc619a6f6f561ab92e2b6365fd09"><div class="ttname"><a href="../../d3/dcf/a07313.html#a6ca8bc619a6f6f561ab92e2b6365fd09">ExpansionVehicleModule::m_Vehicle</a></div><div class="ttdeci">EntityAI m_Vehicle</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/a02906_source.html#l00015">expansionvehiclemodule.c:15</a></div></div>
<div class="ttc" id="aa07313_html_a907ca776620f3c31f1cec18c138a6864"><div class="ttname"><a href="../../d3/dcf/a07313.html#a907ca776620f3c31f1cec18c138a6864">ExpansionVehicleModule::m_Controller</a></div><div class="ttdeci">ExpansionController m_Controller</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d1d/a02906_source.html#l00016">expansionvehiclemodule.c:16</a></div></div>
<div class="ttc" id="aa07329_html"><div class="ttname"><a href="../../d0/d9d/a07329.html">ExpansionVehicleRotational</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db9/a02918_source.html#l00001">expansionvehiclerotational.c:2</a></div></div>
<div class="ttc" id="aa07329_html_a09a5924c11ecdcf512bc224c2feef808"><div class="ttname"><a href="../../d0/d9d/a07329.html#a09a5924c11ecdcf512bc224c2feef808">ExpansionVehicleRotational::AddComponent</a></div><div class="ttdeci">void AddComponent(ExpansionVehicleRotational component)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db9/a02918_source.html#l00034">expansionvehiclerotational.c:34</a></div></div>
<div class="ttc" id="aa07329_html_a0cbc813bbbc9d4fc44a374f7ed30190c"><div class="ttname"><a href="../../d0/d9d/a07329.html#a0cbc813bbbc9d4fc44a374f7ed30190c">ExpansionVehicleRotational::m_Torque</a></div><div class="ttdeci">float m_Torque</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db9/a02918_source.html#l00005">expansionvehiclerotational.c:5</a></div></div>
<div class="ttc" id="aa07329_html_a52142c1d5ef7983a97c71aee1bf03b8d"><div class="ttname"><a href="../../d0/d9d/a07329.html#a52142c1d5ef7983a97c71aee1bf03b8d">ExpansionVehicleRotational::m_Velocity</a></div><div class="ttdeci">float m_Velocity</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db9/a02918_source.html#l00003">expansionvehiclerotational.c:3</a></div></div>
<div class="ttc" id="aa07329_html_a966841074976df2219a2267077312ab0"><div class="ttname"><a href="../../d0/d9d/a07329.html#a966841074976df2219a2267077312ab0">ExpansionVehicleRotational::ToRPM</a></div><div class="ttdeci">float ToRPM(float rot)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db9/a02918_source.html#l00109">expansionvehiclerotational.c:109</a></div></div>
<div class="ttc" id="aa07329_html_aa56079904db9de94691b7caf48395511"><div class="ttname"><a href="../../d0/d9d/a07329.html#aa56079904db9de94691b7caf48395511">ExpansionVehicleRotational::m_Inertia</a></div><div class="ttdeci">float m_Inertia</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db9/a02918_source.html#l00007">expansionvehiclerotational.c:7</a></div></div>
<div class="ttc" id="aa07441_html"><div class="ttname"><a href="../../d8/d3b/a07441.html">ExpansionVehicleBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d8b/a02996_source.html#l00017">expansionvehiclebikebase.c:18</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_393b2e36bc148280031a7e7525136b1f.html">vehicles</a></li><li class="navelem"><a class="el" href="../../dir_6af7693f082d73ae7f5553ba43782b46.html">modules</a></li><li class="navelem"><a class="el" href="../../d7/d68/a02885.html">expansionvehicleenginebase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
